summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-misc/fdutils
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-misc/fdutils')
-rw-r--r--app-misc/fdutils/Manifest5
-rw-r--r--app-misc/fdutils/fdutils-5.4.20020222-r1.ebuild49
-rw-r--r--app-misc/fdutils/fdutils-5.5-r2.ebuild42
-rw-r--r--app-misc/fdutils/fdutils-5.5.20060227.ebuild53
-rw-r--r--app-misc/fdutils/files/fdutils-5.5-destdirfix.patch140
-rw-r--r--app-misc/fdutils/files/fdutils-no-fd.4-manpage.diff12
-rw-r--r--app-misc/fdutils/metadata.xml5
7 files changed, 306 insertions, 0 deletions
diff --git a/app-misc/fdutils/Manifest b/app-misc/fdutils/Manifest
new file mode 100644
index 00000000000..7c083712c10
--- /dev/null
+++ b/app-misc/fdutils/Manifest
@@ -0,0 +1,5 @@
+DIST fdutils-5.4-20020222.diff.gz 25310 SHA256 259c340a5956272e60385d0b8ae0a04b3d2ae0fc395114672536cba5f50bf903 SHA512 069583e796f86266e486ad65009d6a8163fc56b59f957f34ab144cc25188b868c950a48e2fd25fc876cd5b1fa3faa40bdc4c16e4690fe3a2a47f933f85e31094 WHIRLPOOL 9b679a1a0b7254a1d72de083c3ae3fa9c329234c6da6138ad08649cde8fbff002e31ba8f0d4de504c3a98404a88ab23a3dc76a60b51599ee18af786f157e2d12
+DIST fdutils-5.4.tar.gz 190535 SHA256 20ebb4fa9ec74e669eb0377819fafbf177325e930906032649aa8344bb34b9e9 SHA512 3c2dde9d2e14f771f6916851827df5b2dde62e3522b6ceb411bf0772800a4d8ed4721d99ad170b81de0cc8dba41a60817232993f3d69eb07141e1929ac626570 WHIRLPOOL 20626366bc1ad4334184de97c8ef43d50a00496be80f298a59eeb1144f493750cea61a39cc43ff8d251794854ec0a635141bc39d43cba9fad36c411bd0710da2
+DIST fdutils-5.5.tar.gz 222801 SHA256 87d5bbe8094558463acc5902664c58afd794322b0ea3ab3c2ed7b362c583a48a SHA512 c9eab0b8931bbd11fcacfeff54c87059844b068595725abb00c7c605cba0bdc7c9abcd31d0a0186786306a9136eac2ec3bad43842f0383acdb162ccbb39a73b8 WHIRLPOOL 622ded0b8f56257f42fdb7ab7ce648a3d813882c2b05ab30cc36c1b447b66e8c51757ce972b43ffd65d7929be7b7aed72ff3fe235c8fa47a263739ae1daace14
+DIST fdutils_5.5-20060227-6.debian.tar.gz 54489 SHA256 51fae03acb4f087b09c076dc3ec4e7b31362f1e1a9fa7b2b17d6dade1cd512fb SHA512 db6759bd2b98ae65bca39cf5b09fdb250371e02daa7665d8d21f93c3ab968cfe345cecb20faedaf2600104b22e2fb4df6868860dac3ead0ffb28d2141c8d7149 WHIRLPOOL f34a8d5d98a5b89544270dad4c3198881062aef7bec99e2dbfc186bfeab2e24f5ac741b487fac8136d7bddce907527645116d26d21f5f1af9e6d4f6c581196e8
+DIST fdutils_5.5-20060227.orig.tar.gz 222915 SHA256 a867b381adc3596ca9a0c9139773bef18a38ceb5fa0e7401af46813c3a4b8d58 SHA512 a25d23827b9178a9a54d0012ad20248072e07aa5798bb3661fd0412d2441239b7bbf1778b5e34acb1a09a25a76e44c1801b706a242ce3b2337c06757e0ac02dd WHIRLPOOL 4baa17276258669d950a0b3199db23521ebcd63ebe069f9ad94ec1903dd62e142314ad411c6d40a7323f5cc4869f3fab147ca3eb930f4ae0c7dcaaea3362c442
diff --git a/app-misc/fdutils/fdutils-5.4.20020222-r1.ebuild b/app-misc/fdutils/fdutils-5.4.20020222-r1.ebuild
new file mode 100644
index 00000000000..ba50d2dd7fe
--- /dev/null
+++ b/app-misc/fdutils/fdutils-5.4.20020222-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils
+
+S=${WORKDIR}/${PN}-5.4
+DESCRIPTION="utilities for configuring and debugging the Linux floppy driver"
+HOMEPAGE="http://fdutils.linux.lu/"
+SRC_URI="http://fdutils.linux.lu/${PN}-5.4.tar.gz
+ http://fdutils.linux.lu/${PN}-5.4-20020222.diff.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="x86"
+IUSE="doc"
+
+DEPEND=">=sys-fs/mtools-3
+ doc? ( virtual/texi2dvi )"
+
+src_unpack() {
+ unpack ${A}
+ epatch "${WORKDIR}/${PN}-5.4-20020222.diff"
+
+ # the man 4 fd manpage is better in the man-pages package, so stop it
+ # from installing
+ epatch "${FILESDIR}/${PN}-no-fd.4-manpage.diff"
+}
+
+src_compile() {
+ econf --enable-fdmount-floppy-only || die
+
+ if use doc
+ then
+ make || die
+ else
+ make compile || die
+ fi
+}
+
+src_install() {
+ dodir /usr/bin /usr/share/man/man1
+
+ einstall || die
+
+ insinto /etc
+ doins src/mediaprm
+ dodoc Changelog
+}
diff --git a/app-misc/fdutils/fdutils-5.5-r2.ebuild b/app-misc/fdutils/fdutils-5.5-r2.ebuild
new file mode 100644
index 00000000000..8aacf6a6b7b
--- /dev/null
+++ b/app-misc/fdutils/fdutils-5.5-r2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils flag-o-matic
+
+DESCRIPTION="utilities for configuring and debugging the Linux floppy driver"
+HOMEPAGE="http://fdutils.linux.lu/"
+SRC_URI="http://fdutils.linux.lu/${P}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~ppc ~x86"
+IUSE="doc"
+
+RDEPEND=">=sys-fs/mtools-3"
+
+DEPEND="${RDEPEND}
+ doc? ( virtual/texi2dvi )"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ # the man 4 fd manpage is better in the man-pages package, so stop it
+ # from installing
+ epatch "${FILESDIR}/${PN}-no-fd.4-manpage.diff"
+ epatch "${FILESDIR}/${P}-destdirfix.patch"
+ sed -i -e '/\$(INSTALL) -c/s/ -s / /' src/Makefile.in || die "Failed to sed upstream src/Makefile.in to prevent premature strip"
+}
+
+src_compile() {
+ econf --enable-fdmount-floppy-only || die
+
+ # parallel make unsafe (bug#315577)
+ emake -j1 $(use doc || echo compile) || die "emake failed"
+}
+
+src_install() {
+ dodoc Changelog
+ use doc && dodir /usr/share/info/
+ dodir /etc
+ emake -j1 DESTDIR="${D}" install || die
+}
diff --git a/app-misc/fdutils/fdutils-5.5.20060227.ebuild b/app-misc/fdutils/fdutils-5.5.20060227.ebuild
new file mode 100644
index 00000000000..3658976c348
--- /dev/null
+++ b/app-misc/fdutils/fdutils-5.5.20060227.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils
+
+MY_P=${PN}_5.5-20060227
+
+DESCRIPTION="utilities for configuring and debugging the Linux floppy driver"
+HOMEPAGE="http://fdutils.linux.lu/"
+SRC_URI="mirror://debian/pool/main/f/${PN}/${MY_P}.orig.tar.gz
+ mirror://debian/pool/main/f/${PN}/${MY_P}-6.debian.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="doc"
+
+RDEPEND=">=sys-fs/mtools-4"
+DEPEND="${RDEPEND}
+ sys-apps/texinfo
+ virtual/os-headers
+ doc? ( virtual/texi2dvi )"
+
+S=${WORKDIR}/${PN}-5.5-20060227
+
+src_prepare() {
+ local d="${WORKDIR}"/debian/patches
+ EPATCH_SOURCE="${d}" epatch $(<"${d}"/series)
+ sed -i -e 's:{LDFLAFS}:(LDFLAGS):' src/Makefile.in || die #337721
+}
+
+src_configure() {
+ econf --enable-fdmount-floppy-only
+}
+
+src_compile() {
+ emake -j1 $(use doc || echo compile)
+}
+
+src_install() {
+ dodir /etc
+ use doc && dodir /usr/share/info
+
+ emake -j1 DESTDIR="${D}" install
+
+ # The copy in sys-apps/man-pages is more recent
+ rm -f "${ED}"/usr/share/man/man4/fd.4 || die
+
+ # Rename to match binary
+ mv "${ED}"/usr/share/man/man1/{makefloppies,MAKEFLOPPIES}.1 || die
+}
diff --git a/app-misc/fdutils/files/fdutils-5.5-destdirfix.patch b/app-misc/fdutils/files/fdutils-5.5-destdirfix.patch
new file mode 100644
index 00000000000..47d1918b1f4
--- /dev/null
+++ b/app-misc/fdutils/files/fdutils-5.5-destdirfix.patch
@@ -0,0 +1,140 @@
+--- fdutils-5.5/doc/Makefile.in.orig 2005-07-16 19:54:56.000000000 +1000
++++ fdutils-5.5/doc/Makefile.in 2005-07-16 20:00:42.000000000 +1000
+@@ -79,68 +79,68 @@
+
+ # Don't cd, to avoid breaking install-sh references.
+ install-info: info
+- $(top_srcdir)/mkinstalldirs $(infodir)
++ $(top_srcdir)/mkinstalldirs $(DESTDIR)$(infodir)
+ if test -f fdutils.info; then \
+ for i in fdutils.info*; do \
+- $(INSTALL_DATA) $$i $(infodir)/$$i; \
++ $(INSTALL_DATA) $$i $(DESTDIR)$(infodir)/$$i; \
+ done; \
+ else \
+ for i in $(srcdir)/fdutils.info*; do \
+- $(INSTALL_DATA) $$i $(infodir)/`echo $$i | sed 's|^$(srcdir)/||'`; \
++ $(INSTALL_DATA) $$i $(DESTDIR)$(infodir)/`echo $$i | sed 's|^$(srcdir)/||'`; \
+ done; \
+ fi; \
+ if [ -n "$(INSTALL_INFO)" ] ; then \
+ if [ -f $(infodir)/dir.info ] ; then \
+- $(INSTALL_INFO) $(infodir)/fdutils.info $(infodir)/dir.info; \
++ $(INSTALL_INFO) $(DESTDIR)$(infodir)/fdutils.info $(DESTDIR)$(infodir)/dir.info; \
+ fi; \
+ if [ -f $(infodir)/dir ] ; then \
+- $(INSTALL_INFO) $(infodir)/fdutils.info $(infodir)/dir; \
++ $(INSTALL_INFO) $(DESTDIR)$(infodir)/fdutils.info $(DESTDIR)$(infodir)/dir; \
+ fi; \
+ fi
+
+
+
+ install-man:
+- $(top_srcdir)/mkinstalldirs $(mandir1)
+- $(top_srcdir)/mkinstalldirs $(mandir4)
+- $(top_srcdir)/mkinstalldirs $(mandir8)
++ $(top_srcdir)/mkinstalldirs $(DESTDIR)$(mandir1)
++ $(top_srcdir)/mkinstalldirs $(DESTDIR)$(mandir4)
++ $(top_srcdir)/mkinstalldirs $(DESTDIR)$(mandir8)
+ for i in $(MANPAGES1); do \
+ install -c -m $(MANPERM) -o $(UID) -g $(GID) \
+- $(srcdir)/$$i $(mandir1)/$$i; \
++ $(srcdir)/$$i $(DESTDIR)$(mandir1)/$$i; \
+ done
+
+ for i in $(MANPAGES4); do \
+ install -c -m $(MANPERM) -o $(UID) -g $(GID) \
+- $(srcdir)/$$i $(mandir4)/$$i; \
++ $(srcdir)/$$i $(DESTDIR)$(mandir4)/$$i; \
+ done
+
+ # for i in $(MANPAGES8); do \
+ # install -c -m $(MANPERM) -o $(UID) -g $(GID) \
+-# $(srcdir)/$$i $(mandir8)/$$i; \
++# $(srcdir)/$$i $(DESTDIR)$(mandir8)/$$i; \
+ # done
+
+- ( cd $(mandir1); \
+- ln -sf fdmount.1 $(mandir1)/fdumount.1; \
+- ln -sf fdmount.1 $(mandir1)/fdlist.1; \
+- ln -sf fdmount.1 $(mandir1)/fdmountd.1; \
+- ln -sf xdfcopy.1 $(mandir1)/xdfformat.1 \
++ ( cd $(DESTDIR)$(mandir1); \
++ ln -sf fdmount.1 $(DESTDIR)$(mandir1)/fdumount.1; \
++ ln -sf fdmount.1 $(DESTDIR)$(mandir1)/fdlist.1; \
++ ln -sf fdmount.1 $(DESTDIR)$(mandir1)/fdmountd.1; \
++ ln -sf xdfcopy.1 $(DESTDIR)$(mandir1)/xdfformat.1 \
+ )
+
+ install-zman:
+ for i in $(MANPAGES1); do \
+ gzip < $(srcdir)/$$i >_; \
+ install -c -m $(MANPERM) -o $(UID) -g $(GID) \
+- _ $(mandir1)/$$i.gz; \
++ _ $(DESTDIR)$(mandir1)/$$i.gz; \
+ done
+ for i in $(MANPAGES4); do \
+ gzip < $(srcdir)/$$i >_; \
+ install -c -m $(MANPERM) -o $(UID) -g $(GID) \
+- _ $(mandir4)/$$i.gz; \
++ _ $(DESTDIR)$(mandir4)/$$i.gz; \
+ done
+ for i in $(MANPAGES8); do \
+ gzip < $(srcdir)/$$i >_; \
+ install -c -m $(MANPERM) -o $(UID) -g $(GID) \
+- _ $(mandir8)/$$i.gz; \
++ _ $(DESTDIR)$(mandir8)/$$i.gz; \
+ done
+ rm _
+
+--- fdutils-5.5/src/Makefile.in.orig 2005-07-16 19:51:09.000000000 +1000
++++ fdutils-5.5/src/Makefile.in 2005-07-16 19:54:39.000000000 +1000
+@@ -116,27 +116,27 @@
+
+
+ install-conf:
+- $(top_srcdir)/mkinstalldirs $(syconfdir)
++ $(top_srcdir)/mkinstalldirs $(DESTDIR)$(syconfdir)
+ if [ ! -f $(sysconfdir)/mediaprm ] ; then \
+- cp $(srcdir)/mediaprm $(sysconfdir) ; \
++ cp $(srcdir)/mediaprm $(DESTDIR)$(sysconfdir) ; \
+ fi
+
+ install-bin: all
+- $(top_srcdir)/mkinstalldirs $(bindir)
+- $(INSTALL) -c -m $(PERM) -o $(UID) -g $(GID) $(srcdir)/MAKEFLOPPIES $(bindir)
+- $(INSTALL) -c -s -m $(PERM) -o $(UID) -g $(GID) diskd $(bindir)
+- $(INSTALL) -c -s -m $(PERM) -o $(UID) -g $(GID) diskseekd $(bindir)
+- $(INSTALL) -c -s -m $(PERM) -o $(UID) -g $(GID) floppycontrol $(bindir)
+- $(INSTALL) -c -s -m $(PERM) -o $(UID) -g $(GID) floppymeter $(bindir)
+- $(INSTALL) -c -s -m $(PERM) -o $(UID) -g $(GID) getfdprm $(bindir)
+- $(INSTALL) -c -s -m $(PERM) -o $(UID) -g $(GID) setfdprm $(bindir)
+- $(INSTALL) -c -s -m $(PERM) -o $(UID) -g $(GID) fdrawcmd $(bindir)
+- $(INSTALL) -c -s -m $(PERM) -o $(UID) -g $(GID) superformat $(bindir)
+- $(INSTALL) -c -s -m $(PERM) -o $(UID) -g $(GID) xdfcopy $(bindir)
+- $(INSTALL) -c -s -m $(SPERM) -o $(UID) -g $(GID) fdmount $(bindir)
+- $(INSTALL) -c -s -m $(SPERM) -o $(UID) -g $(GID) fdmount $(bindir)/fdumount
+- ( cd $(bindir); \
+- ln -sf xdfcopy $(bindir)/xdfformat; \
+- ln -sf fdmount $(bindir)/fdumount; \
+- ln -sf fdmount $(bindir)/fdlist; \
+- ln -sf fdmount $(bindir)/fdmountd )
++ $(top_srcdir)/mkinstalldirs $(DESTDIR)$(bindir)
++ $(INSTALL) -c -m $(PERM) -o $(UID) -g $(GID) $(srcdir)/MAKEFLOPPIES $(DESTDIR)$(bindir)
++ $(INSTALL) -c -s -m $(PERM) -o $(UID) -g $(GID) diskd $(DESTDIR)$(bindir)
++ $(INSTALL) -c -s -m $(PERM) -o $(UID) -g $(GID) diskseekd $(DESTDIR)$(bindir)
++ $(INSTALL) -c -s -m $(PERM) -o $(UID) -g $(GID) floppycontrol $(DESTDIR)$(bindir)
++ $(INSTALL) -c -s -m $(PERM) -o $(UID) -g $(GID) floppymeter $(DESTDIR)$(bindir)
++ $(INSTALL) -c -s -m $(PERM) -o $(UID) -g $(GID) getfdprm $(DESTDIR)$(bindir)
++ $(INSTALL) -c -s -m $(PERM) -o $(UID) -g $(GID) setfdprm $(DESTDIR)$(bindir)
++ $(INSTALL) -c -s -m $(PERM) -o $(UID) -g $(GID) fdrawcmd $(DESTDIR)$(bindir)
++ $(INSTALL) -c -s -m $(PERM) -o $(UID) -g $(GID) superformat $(DESTDIR)$(bindir)
++ $(INSTALL) -c -s -m $(PERM) -o $(UID) -g $(GID) xdfcopy $(DESTDIR)$(bindir)
++ $(INSTALL) -c -s -m $(SPERM) -o $(UID) -g $(GID) fdmount $(DESTDIR)$(bindir)
++ $(INSTALL) -c -s -m $(SPERM) -o $(UID) -g $(GID) fdmount $(DESTDIR)$(bindir)/fdumount
++ ( cd $(DESTDIR)$(bindir); \
++ ln -sf xdfcopy xdfformat; \
++ ln -sf fdmount fdumount; \
++ ln -sf fdmount fdlist; \
++ ln -sf fdmount fdmountd )
diff --git a/app-misc/fdutils/files/fdutils-no-fd.4-manpage.diff b/app-misc/fdutils/files/fdutils-no-fd.4-manpage.diff
new file mode 100644
index 00000000000..909ecd971da
--- /dev/null
+++ b/app-misc/fdutils/files/fdutils-no-fd.4-manpage.diff
@@ -0,0 +1,12 @@
+diff -urN fdutils-5.4.old/doc/Makefile.in fdutils-5.4/doc/Makefile.in
+--- fdutils-5.4.old/doc/Makefile.in 1999-07-02 15:03:25.000000000 -0700
++++ fdutils-5.4/doc/Makefile.in 2003-12-10 00:24:36.000000000 -0800
+@@ -22,7 +22,7 @@
+ floppycontrol.1 makefloppies.1 xdfcopy.1 fdmount.1 \
+ floppymeter.1 setfdprm.1
+
+-MANPAGES4 = fd.4
++MANPAGES4 =
+ MANPERM = 644
+ UID = root
+ GID = root
diff --git a/app-misc/fdutils/metadata.xml b/app-misc/fdutils/metadata.xml
new file mode 100644
index 00000000000..74d25af22b2
--- /dev/null
+++ b/app-misc/fdutils/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>kernel-misc</herd>
+</pkgmetadata>